<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.chinaitop.depot.intelligent.ventilation.mapper.TVentilationOperationMapper" >
  <resultMap id="BaseResultMap" type="com.chinaitop.depot.intelligent.ventilation.model.TVentilationOperation" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    <id column="id" property="id" jdbcType="VARCHAR" />
    <result column="cfbh" property="cfbh" jdbcType="VARCHAR" />
    <result column="cfmc" property="cfmc" jdbcType="VARCHAR" />
    <result column="cflx" property="cflx" jdbcType="VARCHAR" />
    <result column="cncd" property="cncd" jdbcType="VARCHAR" />
    <result column="cnkd" property="cnkd" jdbcType="VARCHAR" />
    <result column="zjnj" property="zjnj" jdbcType="VARCHAR" />
    <result column="sjclxgd" property="sjclxgd" jdbcType="VARCHAR" />
    <result column="pz" property="pz" jdbcType="INTEGER" />
    <result column="sl" property="sl" jdbcType="VARCHAR" />
    <result column="kxd" property="kxd" jdbcType="VARCHAR" />
    <result column="cd" property="cd" jdbcType="VARCHAR" />
    <result column="kd" property="kd" jdbcType="VARCHAR" />
    <result column="zj" property="zj" jdbcType="VARCHAR" />
    <result column="ldgd" property="ldgd" jdbcType="VARCHAR" />
    <result column="dlxs" property="dlxs" jdbcType="VARCHAR" />
    <result column="tflx" property="tflx" jdbcType="VARCHAR" />
    <result column="fwlx" property="fwlx" jdbcType="VARCHAR" />
    <result column="fwszfs" property="fwszfs" jdbcType="VARCHAR" />
    <result column="zfdjmj" property="zfdjmj" jdbcType="VARCHAR" />
    <result column="fwkkl" property="fwkkl" jdbcType="VARCHAR" />
    <result column="kqtjb" property="kqtjb" jdbcType="VARCHAR" />
    <result column="tfkszgs" property="tfkszgs" jdbcType="VARCHAR" />
    <result column="tfkssj" property="tfkssj" jdbcType="DATE" />
    <result column="tfjssj" property="tfjssj" jdbcType="DATE" />
    <result column="tfmd" property="tfmd" jdbcType="VARCHAR" />
    <result column="tfzyfzr" property="tfzyfzr" jdbcType="VARCHAR" />
    <result column="djrq" property="djrq" jdbcType="DATE" />
    <result column="tfjxh" property="tfjxh" jdbcType="VARCHAR" />
    <result column="tfjts" property="tfjts" jdbcType="VARCHAR" />
    <result column="dtfjedqy" property="dtfjedqy" jdbcType="VARCHAR" />
    <result column="dtfjedfl" property="dtfjedfl" jdbcType="VARCHAR" />
    <result column="dtfjedgl" property="dtfjedgl" jdbcType="VARCHAR" />
    <result column="sffs" property="sffs" jdbcType="VARCHAR" />
    <result column="dtfjscfl" property="dtfjscfl" jdbcType="VARCHAR" />
    <result column="dtfjzgl" property="dtfjzgl" jdbcType="VARCHAR" />
    <result column="zfl" property="zfl" jdbcType="VARCHAR" />
    <result column="dwtfl" property="dwtfl" jdbcType="VARCHAR" />
    <result column="scxtzl" property="scxtzl" jdbcType="VARCHAR" />
    <result column="zhdl" property="zhdl" jdbcType="VARCHAR" />
    <result column="one_qw" property="oneQw" jdbcType="VARCHAR" />
    <result column="one_tfqpjlw" property="oneTfqpjlw" jdbcType="VARCHAR" />
    <result column="one_zysc" property="oneZysc" jdbcType="VARCHAR" />
    <result column="one_pjqs" property="onePjqs" jdbcType="VARCHAR" />
    <result column="two_qw" property="twoQw" jdbcType="VARCHAR" />
    <result column="two_tfqpjlw" property="twoTfqpjlw" jdbcType="VARCHAR" />
    <result column="two_zysc" property="twoZysc" jdbcType="VARCHAR" />
    <result column="two_pjqs" property="twoPjqs" jdbcType="VARCHAR" />
    <result column="three_qw" property="threeQw" jdbcType="VARCHAR" />
    <result column="three_tfqpjlw" property="threeTfqpjlw" jdbcType="VARCHAR" />
    <result column="three_zysc" property="threeZysc" jdbcType="VARCHAR" />
    <result column="three_pjqs" property="threePjqs" jdbcType="VARCHAR" />
    <result column="four_qw" property="fourQw" jdbcType="VARCHAR" />
    <result column="four_tfqpjlw" property="fourTfqpjlw" jdbcType="VARCHAR" />
    <result column="four_pjqs" property="fourPjqs" jdbcType="VARCHAR" />
    <result column="four_zysc" property="fourZysc" jdbcType="VARCHAR" />
    <result column="tfqpjlw" property="tfqpjlw" jdbcType="VARCHAR" />
    <result column="tfhpjlw" property="tfhpjlw" jdbcType="VARCHAR" />
    <result column="jwfd" property="jwfd" jdbcType="VARCHAR" />
    <result column="dljwnh" property="dljwnh" jdbcType="VARCHAR" />
    <result column="sslssl" property="sslssl" jdbcType="VARCHAR" />
    <result column="tfqpjsf" property="tfqpjsf" jdbcType="VARCHAR" />
    <result column="tfhpjsf" property="tfhpjsf" jdbcType="VARCHAR" />
    <result column="jsfd" property="jsfd" jdbcType="VARCHAR" />
    <result column="dljsnh" property="dljsnh" jdbcType="VARCHAR" />
    <result column="bsxgpjjg" property="bsxgpjjg" jdbcType="VARCHAR" />
    <result column="jyxzx" property="jyxzx" jdbcType="VARCHAR" />
    <result column="jyxsc" property="jyxsc" jdbcType="VARCHAR" />
    <result column="jyxzc" property="jyxzc" jdbcType="VARCHAR" />
    <result column="jyxxc" property="jyxxc" jdbcType="VARCHAR" />
    <result column="tfqcnw" property="tfqcnw" jdbcType="VARCHAR" />
    <result column="tfqcns" property="tfqcns" jdbcType="VARCHAR" />
    <result column="tfqcww" property="tfqcww" jdbcType="VARCHAR" />
    <result column="tfqcws" property="tfqcws" jdbcType="VARCHAR" />
    <result column="tfqzglw" property="tfqzglw" jdbcType="VARCHAR" />
    <result column="tfqzdlw" property="tfqzdlw" jdbcType="VARCHAR" />
    <result column="tfhcnw" property="tfhcnw" jdbcType="VARCHAR" />
    <result column="tfhcns" property="tfhcns" jdbcType="VARCHAR" />
    <result column="tfhcww" property="tfhcww" jdbcType="VARCHAR" />
    <result column="tfhcws" property="tfhcws" jdbcType="VARCHAR" />
    <result column="tfhzglw" property="tfhzglw" jdbcType="VARCHAR" />
    <result column="tfhzdlw" property="tfhzdlw" jdbcType="VARCHAR" />
    <result column="tfqyq" property="tfqyq" jdbcType="VARCHAR" />
    <result column="tfqeyht" property="tfqeyht" jdbcType="VARCHAR" />
    <result column="tfqlhq" property="tfqlhq" jdbcType="VARCHAR" />
    <result column="tfhyq" property="tfhyq" jdbcType="VARCHAR" />
    <result column="tfheyht" property="tfheyht" jdbcType="VARCHAR" />
    <result column="tfhlhq" property="tfhlhq" jdbcType="VARCHAR" />
    <result column="bz" property="bz" jdbcType="VARCHAR" />
    <result column="org_id" property="orgId" jdbcType="INTEGER" />
  </resultMap>
  <sql id="Example_Where_Clause" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    <where >
      <foreach collection="oredCriteria" item="criteria" separator="or" >
        <if test="criteria.valid" >
          <trim prefix="(" suffix=")" prefixOverrides="and" >
            <foreach collection="criteria.criteria" item="criterion" >
              <choose >
                <when test="criterion.noValue" >
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue" >
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue" >
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue" >
                  and ${criterion.condition}
                  <foreach collection="criterion.value" item="listItem" open="(" close=")" separator="," >
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    <where >
      <foreach collection="example.oredCriteria" item="criteria" separator="or" >
        <if test="criteria.valid" >
          <trim prefix="(" suffix=")" prefixOverrides="and" >
            <foreach collection="criteria.criteria" item="criterion" >
              <choose >
                <when test="criterion.noValue" >
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue" >
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue" >
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue" >
                  and ${criterion.condition}
                  <foreach collection="criterion.value" item="listItem" open="(" close=")" separator="," >
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    id, cfbh, cfmc, cflx, cncd, cnkd, zjnj, sjclxgd, pz, sl, kxd, cd, kd, zj, ldgd, dlxs, 
    tflx, fwlx, fwszfs, zfdjmj, fwkkl, kqtjb, tfkszgs, tfkssj, tfjssj, tfmd, tfzyfzr, 
    djrq, tfjxh, tfjts, dtfjedqy, dtfjedfl, dtfjedgl, sffs, dtfjscfl, dtfjzgl, zfl, dwtfl, 
    scxtzl, zhdl, one_qw, one_tfqpjlw, one_zysc, one_pjqs, two_qw, two_tfqpjlw, two_zysc, 
    two_pjqs, three_qw, three_tfqpjlw, three_zysc, three_pjqs, four_qw, four_tfqpjlw, 
    four_pjqs, four_zysc, tfqpjlw, tfhpjlw, jwfd, dljwnh, sslssl, tfqpjsf, tfhpjsf, jsfd, 
    dljsnh, bsxgpjjg, jyxzx, jyxsc, jyxzc, jyxxc, tfqcnw, tfqcns, tfqcww, tfqcws, tfqzglw, 
    tfqzdlw, tfhcnw, tfhcns, tfhcww, tfhcws, tfhzglw, tfhzdlw, tfqyq, tfqeyht, tfqlhq, 
    tfhyq, tfheyht, tfhlhq, bz, org_id
  </sql>
  <select id="selectByExample" resultMap="BaseResultMap" parameterType="com.chinaitop.depot.intelligent.ventilation.model.TVentilationOperationExample" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    select
    <if test="distinct" >
      distinct
    </if>
    <include refid="Base_Column_List" />
    from t_ventilation_operation
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null" >
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.String" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    select 
    <include refid="Base_Column_List" />
    from t_ventilation_operation
    where id = #{id,jdbcType=VARCHAR}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.String" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    delete from t_ventilation_operation
    where id = #{id,jdbcType=VARCHAR}
  </delete>
  <delete id="deleteByExample" parameterType="com.chinaitop.depot.intelligent.ventilation.model.TVentilationOperationExample" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    delete from t_ventilation_operation
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.chinaitop.depot.intelligent.ventilation.model.TVentilationOperation" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    insert into t_ventilation_operation (id, cfbh, cfmc, 
      cflx, cncd, cnkd, zjnj, 
      sjclxgd, pz, sl, kxd, 
      cd, kd, zj, ldgd, 
      dlxs, tflx, fwlx, fwszfs, 
      zfdjmj, fwkkl, kqtjb, 
      tfkszgs, tfkssj, tfjssj, 
      tfmd, tfzyfzr, djrq, tfjxh, 
      tfjts, dtfjedqy, dtfjedfl, 
      dtfjedgl, sffs, dtfjscfl, 
      dtfjzgl, zfl, dwtfl, 
      scxtzl, zhdl, one_qw, 
      one_tfqpjlw, one_zysc, one_pjqs, 
      two_qw, two_tfqpjlw, two_zysc, 
      two_pjqs, three_qw, three_tfqpjlw, 
      three_zysc, three_pjqs, four_qw, 
      four_tfqpjlw, four_pjqs, four_zysc, 
      tfqpjlw, tfhpjlw, jwfd, 
      dljwnh, sslssl, tfqpjsf, 
      tfhpjsf, jsfd, dljsnh, 
      bsxgpjjg, jyxzx, jyxsc, 
      jyxzc, jyxxc, tfqcnw, 
      tfqcns, tfqcww, tfqcws, 
      tfqzglw, tfqzdlw, tfhcnw, 
      tfhcns, tfhcww, tfhcws, 
      tfhzglw, tfhzdlw, tfqyq, 
      tfqeyht, tfqlhq, tfhyq, 
      tfheyht, tfhlhq, bz, 
      org_id)
    values (#{id,jdbcType=VARCHAR}, #{cfbh,jdbcType=VARCHAR}, #{cfmc,jdbcType=VARCHAR}, 
      #{cflx,jdbcType=VARCHAR}, #{cncd,jdbcType=VARCHAR}, #{cnkd,jdbcType=VARCHAR}, #{zjnj,jdbcType=VARCHAR}, 
      #{sjclxgd,jdbcType=VARCHAR}, #{pz,jdbcType=INTEGER}, #{sl,jdbcType=VARCHAR}, #{kxd,jdbcType=VARCHAR}, 
      #{cd,jdbcType=VARCHAR}, #{kd,jdbcType=VARCHAR}, #{zj,jdbcType=VARCHAR}, #{ldgd,jdbcType=VARCHAR}, 
      #{dlxs,jdbcType=VARCHAR}, #{tflx,jdbcType=VARCHAR}, #{fwlx,jdbcType=VARCHAR}, #{fwszfs,jdbcType=VARCHAR}, 
      #{zfdjmj,jdbcType=VARCHAR}, #{fwkkl,jdbcType=VARCHAR}, #{kqtjb,jdbcType=VARCHAR}, 
      #{tfkszgs,jdbcType=VARCHAR}, #{tfkssj,jdbcType=DATE}, #{tfjssj,jdbcType=DATE}, 
      #{tfmd,jdbcType=VARCHAR}, #{tfzyfzr,jdbcType=VARCHAR}, #{djrq,jdbcType=DATE}, #{tfjxh,jdbcType=VARCHAR}, 
      #{tfjts,jdbcType=VARCHAR}, #{dtfjedqy,jdbcType=VARCHAR}, #{dtfjedfl,jdbcType=VARCHAR}, 
      #{dtfjedgl,jdbcType=VARCHAR}, #{sffs,jdbcType=VARCHAR}, #{dtfjscfl,jdbcType=VARCHAR}, 
      #{dtfjzgl,jdbcType=VARCHAR}, #{zfl,jdbcType=VARCHAR}, #{dwtfl,jdbcType=VARCHAR}, 
      #{scxtzl,jdbcType=VARCHAR}, #{zhdl,jdbcType=VARCHAR}, #{oneQw,jdbcType=VARCHAR}, 
      #{oneTfqpjlw,jdbcType=VARCHAR}, #{oneZysc,jdbcType=VARCHAR}, #{onePjqs,jdbcType=VARCHAR}, 
      #{twoQw,jdbcType=VARCHAR}, #{twoTfqpjlw,jdbcType=VARCHAR}, #{twoZysc,jdbcType=VARCHAR}, 
      #{twoPjqs,jdbcType=VARCHAR}, #{threeQw,jdbcType=VARCHAR}, #{threeTfqpjlw,jdbcType=VARCHAR}, 
      #{threeZysc,jdbcType=VARCHAR}, #{threePjqs,jdbcType=VARCHAR}, #{fourQw,jdbcType=VARCHAR}, 
      #{fourTfqpjlw,jdbcType=VARCHAR}, #{fourPjqs,jdbcType=VARCHAR}, #{fourZysc,jdbcType=VARCHAR}, 
      #{tfqpjlw,jdbcType=VARCHAR}, #{tfhpjlw,jdbcType=VARCHAR}, #{jwfd,jdbcType=VARCHAR}, 
      #{dljwnh,jdbcType=VARCHAR}, #{sslssl,jdbcType=VARCHAR}, #{tfqpjsf,jdbcType=VARCHAR}, 
      #{tfhpjsf,jdbcType=VARCHAR}, #{jsfd,jdbcType=VARCHAR}, #{dljsnh,jdbcType=VARCHAR}, 
      #{bsxgpjjg,jdbcType=VARCHAR}, #{jyxzx,jdbcType=VARCHAR}, #{jyxsc,jdbcType=VARCHAR}, 
      #{jyxzc,jdbcType=VARCHAR}, #{jyxxc,jdbcType=VARCHAR}, #{tfqcnw,jdbcType=VARCHAR}, 
      #{tfqcns,jdbcType=VARCHAR}, #{tfqcww,jdbcType=VARCHAR}, #{tfqcws,jdbcType=VARCHAR}, 
      #{tfqzglw,jdbcType=VARCHAR}, #{tfqzdlw,jdbcType=VARCHAR}, #{tfhcnw,jdbcType=VARCHAR}, 
      #{tfhcns,jdbcType=VARCHAR}, #{tfhcww,jdbcType=VARCHAR}, #{tfhcws,jdbcType=VARCHAR}, 
      #{tfhzglw,jdbcType=VARCHAR}, #{tfhzdlw,jdbcType=VARCHAR}, #{tfqyq,jdbcType=VARCHAR}, 
      #{tfqeyht,jdbcType=VARCHAR}, #{tfqlhq,jdbcType=VARCHAR}, #{tfhyq,jdbcType=VARCHAR}, 
      #{tfheyht,jdbcType=VARCHAR}, #{tfhlhq,jdbcType=VARCHAR}, #{bz,jdbcType=VARCHAR}, 
      #{orgId,jdbcType=INTEGER})
  </insert>
  <insert id="insertSelective" parameterType="com.chinaitop.depot.intelligent.ventilation.model.TVentilationOperation" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    insert into t_ventilation_operation
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="id != null" >
        id,
      </if>
      <if test="cfbh != null" >
        cfbh,
      </if>
      <if test="cfmc != null" >
        cfmc,
      </if>
      <if test="cflx != null" >
        cflx,
      </if>
      <if test="cncd != null" >
        cncd,
      </if>
      <if test="cnkd != null" >
        cnkd,
      </if>
      <if test="zjnj != null" >
        zjnj,
      </if>
      <if test="sjclxgd != null" >
        sjclxgd,
      </if>
      <if test="pz != null" >
        pz,
      </if>
      <if test="sl != null" >
        sl,
      </if>
      <if test="kxd != null" >
        kxd,
      </if>
      <if test="cd != null" >
        cd,
      </if>
      <if test="kd != null" >
        kd,
      </if>
      <if test="zj != null" >
        zj,
      </if>
      <if test="ldgd != null" >
        ldgd,
      </if>
      <if test="dlxs != null" >
        dlxs,
      </if>
      <if test="tflx != null" >
        tflx,
      </if>
      <if test="fwlx != null" >
        fwlx,
      </if>
      <if test="fwszfs != null" >
        fwszfs,
      </if>
      <if test="zfdjmj != null" >
        zfdjmj,
      </if>
      <if test="fwkkl != null" >
        fwkkl,
      </if>
      <if test="kqtjb != null" >
        kqtjb,
      </if>
      <if test="tfkszgs != null" >
        tfkszgs,
      </if>
      <if test="tfkssj != null" >
        tfkssj,
      </if>
      <if test="tfjssj != null" >
        tfjssj,
      </if>
      <if test="tfmd != null" >
        tfmd,
      </if>
      <if test="tfzyfzr != null" >
        tfzyfzr,
      </if>
      <if test="djrq != null" >
        djrq,
      </if>
      <if test="tfjxh != null" >
        tfjxh,
      </if>
      <if test="tfjts != null" >
        tfjts,
      </if>
      <if test="dtfjedqy != null" >
        dtfjedqy,
      </if>
      <if test="dtfjedfl != null" >
        dtfjedfl,
      </if>
      <if test="dtfjedgl != null" >
        dtfjedgl,
      </if>
      <if test="sffs != null" >
        sffs,
      </if>
      <if test="dtfjscfl != null" >
        dtfjscfl,
      </if>
      <if test="dtfjzgl != null" >
        dtfjzgl,
      </if>
      <if test="zfl != null" >
        zfl,
      </if>
      <if test="dwtfl != null" >
        dwtfl,
      </if>
      <if test="scxtzl != null" >
        scxtzl,
      </if>
      <if test="zhdl != null" >
        zhdl,
      </if>
      <if test="oneQw != null" >
        one_qw,
      </if>
      <if test="oneTfqpjlw != null" >
        one_tfqpjlw,
      </if>
      <if test="oneZysc != null" >
        one_zysc,
      </if>
      <if test="onePjqs != null" >
        one_pjqs,
      </if>
      <if test="twoQw != null" >
        two_qw,
      </if>
      <if test="twoTfqpjlw != null" >
        two_tfqpjlw,
      </if>
      <if test="twoZysc != null" >
        two_zysc,
      </if>
      <if test="twoPjqs != null" >
        two_pjqs,
      </if>
      <if test="threeQw != null" >
        three_qw,
      </if>
      <if test="threeTfqpjlw != null" >
        three_tfqpjlw,
      </if>
      <if test="threeZysc != null" >
        three_zysc,
      </if>
      <if test="threePjqs != null" >
        three_pjqs,
      </if>
      <if test="fourQw != null" >
        four_qw,
      </if>
      <if test="fourTfqpjlw != null" >
        four_tfqpjlw,
      </if>
      <if test="fourPjqs != null" >
        four_pjqs,
      </if>
      <if test="fourZysc != null" >
        four_zysc,
      </if>
      <if test="tfqpjlw != null" >
        tfqpjlw,
      </if>
      <if test="tfhpjlw != null" >
        tfhpjlw,
      </if>
      <if test="jwfd != null" >
        jwfd,
      </if>
      <if test="dljwnh != null" >
        dljwnh,
      </if>
      <if test="sslssl != null" >
        sslssl,
      </if>
      <if test="tfqpjsf != null" >
        tfqpjsf,
      </if>
      <if test="tfhpjsf != null" >
        tfhpjsf,
      </if>
      <if test="jsfd != null" >
        jsfd,
      </if>
      <if test="dljsnh != null" >
        dljsnh,
      </if>
      <if test="bsxgpjjg != null" >
        bsxgpjjg,
      </if>
      <if test="jyxzx != null" >
        jyxzx,
      </if>
      <if test="jyxsc != null" >
        jyxsc,
      </if>
      <if test="jyxzc != null" >
        jyxzc,
      </if>
      <if test="jyxxc != null" >
        jyxxc,
      </if>
      <if test="tfqcnw != null" >
        tfqcnw,
      </if>
      <if test="tfqcns != null" >
        tfqcns,
      </if>
      <if test="tfqcww != null" >
        tfqcww,
      </if>
      <if test="tfqcws != null" >
        tfqcws,
      </if>
      <if test="tfqzglw != null" >
        tfqzglw,
      </if>
      <if test="tfqzdlw != null" >
        tfqzdlw,
      </if>
      <if test="tfhcnw != null" >
        tfhcnw,
      </if>
      <if test="tfhcns != null" >
        tfhcns,
      </if>
      <if test="tfhcww != null" >
        tfhcww,
      </if>
      <if test="tfhcws != null" >
        tfhcws,
      </if>
      <if test="tfhzglw != null" >
        tfhzglw,
      </if>
      <if test="tfhzdlw != null" >
        tfhzdlw,
      </if>
      <if test="tfqyq != null" >
        tfqyq,
      </if>
      <if test="tfqeyht != null" >
        tfqeyht,
      </if>
      <if test="tfqlhq != null" >
        tfqlhq,
      </if>
      <if test="tfhyq != null" >
        tfhyq,
      </if>
      <if test="tfheyht != null" >
        tfheyht,
      </if>
      <if test="tfhlhq != null" >
        tfhlhq,
      </if>
      <if test="bz != null" >
        bz,
      </if>
      <if test="orgId != null" >
        org_id,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="id != null" >
        #{id,jdbcType=VARCHAR},
      </if>
      <if test="cfbh != null" >
        #{cfbh,jdbcType=VARCHAR},
      </if>
      <if test="cfmc != null" >
        #{cfmc,jdbcType=VARCHAR},
      </if>
      <if test="cflx != null" >
        #{cflx,jdbcType=VARCHAR},
      </if>
      <if test="cncd != null" >
        #{cncd,jdbcType=VARCHAR},
      </if>
      <if test="cnkd != null" >
        #{cnkd,jdbcType=VARCHAR},
      </if>
      <if test="zjnj != null" >
        #{zjnj,jdbcType=VARCHAR},
      </if>
      <if test="sjclxgd != null" >
        #{sjclxgd,jdbcType=VARCHAR},
      </if>
      <if test="pz != null" >
        #{pz,jdbcType=INTEGER},
      </if>
      <if test="sl != null" >
        #{sl,jdbcType=VARCHAR},
      </if>
      <if test="kxd != null" >
        #{kxd,jdbcType=VARCHAR},
      </if>
      <if test="cd != null" >
        #{cd,jdbcType=VARCHAR},
      </if>
      <if test="kd != null" >
        #{kd,jdbcType=VARCHAR},
      </if>
      <if test="zj != null" >
        #{zj,jdbcType=VARCHAR},
      </if>
      <if test="ldgd != null" >
        #{ldgd,jdbcType=VARCHAR},
      </if>
      <if test="dlxs != null" >
        #{dlxs,jdbcType=VARCHAR},
      </if>
      <if test="tflx != null" >
        #{tflx,jdbcType=VARCHAR},
      </if>
      <if test="fwlx != null" >
        #{fwlx,jdbcType=VARCHAR},
      </if>
      <if test="fwszfs != null" >
        #{fwszfs,jdbcType=VARCHAR},
      </if>
      <if test="zfdjmj != null" >
        #{zfdjmj,jdbcType=VARCHAR},
      </if>
      <if test="fwkkl != null" >
        #{fwkkl,jdbcType=VARCHAR},
      </if>
      <if test="kqtjb != null" >
        #{kqtjb,jdbcType=VARCHAR},
      </if>
      <if test="tfkszgs != null" >
        #{tfkszgs,jdbcType=VARCHAR},
      </if>
      <if test="tfkssj != null" >
        #{tfkssj,jdbcType=DATE},
      </if>
      <if test="tfjssj != null" >
        #{tfjssj,jdbcType=DATE},
      </if>
      <if test="tfmd != null" >
        #{tfmd,jdbcType=VARCHAR},
      </if>
      <if test="tfzyfzr != null" >
        #{tfzyfzr,jdbcType=VARCHAR},
      </if>
      <if test="djrq != null" >
        #{djrq,jdbcType=DATE},
      </if>
      <if test="tfjxh != null" >
        #{tfjxh,jdbcType=VARCHAR},
      </if>
      <if test="tfjts != null" >
        #{tfjts,jdbcType=VARCHAR},
      </if>
      <if test="dtfjedqy != null" >
        #{dtfjedqy,jdbcType=VARCHAR},
      </if>
      <if test="dtfjedfl != null" >
        #{dtfjedfl,jdbcType=VARCHAR},
      </if>
      <if test="dtfjedgl != null" >
        #{dtfjedgl,jdbcType=VARCHAR},
      </if>
      <if test="sffs != null" >
        #{sffs,jdbcType=VARCHAR},
      </if>
      <if test="dtfjscfl != null" >
        #{dtfjscfl,jdbcType=VARCHAR},
      </if>
      <if test="dtfjzgl != null" >
        #{dtfjzgl,jdbcType=VARCHAR},
      </if>
      <if test="zfl != null" >
        #{zfl,jdbcType=VARCHAR},
      </if>
      <if test="dwtfl != null" >
        #{dwtfl,jdbcType=VARCHAR},
      </if>
      <if test="scxtzl != null" >
        #{scxtzl,jdbcType=VARCHAR},
      </if>
      <if test="zhdl != null" >
        #{zhdl,jdbcType=VARCHAR},
      </if>
      <if test="oneQw != null" >
        #{oneQw,jdbcType=VARCHAR},
      </if>
      <if test="oneTfqpjlw != null" >
        #{oneTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="oneZysc != null" >
        #{oneZysc,jdbcType=VARCHAR},
      </if>
      <if test="onePjqs != null" >
        #{onePjqs,jdbcType=VARCHAR},
      </if>
      <if test="twoQw != null" >
        #{twoQw,jdbcType=VARCHAR},
      </if>
      <if test="twoTfqpjlw != null" >
        #{twoTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="twoZysc != null" >
        #{twoZysc,jdbcType=VARCHAR},
      </if>
      <if test="twoPjqs != null" >
        #{twoPjqs,jdbcType=VARCHAR},
      </if>
      <if test="threeQw != null" >
        #{threeQw,jdbcType=VARCHAR},
      </if>
      <if test="threeTfqpjlw != null" >
        #{threeTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="threeZysc != null" >
        #{threeZysc,jdbcType=VARCHAR},
      </if>
      <if test="threePjqs != null" >
        #{threePjqs,jdbcType=VARCHAR},
      </if>
      <if test="fourQw != null" >
        #{fourQw,jdbcType=VARCHAR},
      </if>
      <if test="fourTfqpjlw != null" >
        #{fourTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="fourPjqs != null" >
        #{fourPjqs,jdbcType=VARCHAR},
      </if>
      <if test="fourZysc != null" >
        #{fourZysc,jdbcType=VARCHAR},
      </if>
      <if test="tfqpjlw != null" >
        #{tfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="tfhpjlw != null" >
        #{tfhpjlw,jdbcType=VARCHAR},
      </if>
      <if test="jwfd != null" >
        #{jwfd,jdbcType=VARCHAR},
      </if>
      <if test="dljwnh != null" >
        #{dljwnh,jdbcType=VARCHAR},
      </if>
      <if test="sslssl != null" >
        #{sslssl,jdbcType=VARCHAR},
      </if>
      <if test="tfqpjsf != null" >
        #{tfqpjsf,jdbcType=VARCHAR},
      </if>
      <if test="tfhpjsf != null" >
        #{tfhpjsf,jdbcType=VARCHAR},
      </if>
      <if test="jsfd != null" >
        #{jsfd,jdbcType=VARCHAR},
      </if>
      <if test="dljsnh != null" >
        #{dljsnh,jdbcType=VARCHAR},
      </if>
      <if test="bsxgpjjg != null" >
        #{bsxgpjjg,jdbcType=VARCHAR},
      </if>
      <if test="jyxzx != null" >
        #{jyxzx,jdbcType=VARCHAR},
      </if>
      <if test="jyxsc != null" >
        #{jyxsc,jdbcType=VARCHAR},
      </if>
      <if test="jyxzc != null" >
        #{jyxzc,jdbcType=VARCHAR},
      </if>
      <if test="jyxxc != null" >
        #{jyxxc,jdbcType=VARCHAR},
      </if>
      <if test="tfqcnw != null" >
        #{tfqcnw,jdbcType=VARCHAR},
      </if>
      <if test="tfqcns != null" >
        #{tfqcns,jdbcType=VARCHAR},
      </if>
      <if test="tfqcww != null" >
        #{tfqcww,jdbcType=VARCHAR},
      </if>
      <if test="tfqcws != null" >
        #{tfqcws,jdbcType=VARCHAR},
      </if>
      <if test="tfqzglw != null" >
        #{tfqzglw,jdbcType=VARCHAR},
      </if>
      <if test="tfqzdlw != null" >
        #{tfqzdlw,jdbcType=VARCHAR},
      </if>
      <if test="tfhcnw != null" >
        #{tfhcnw,jdbcType=VARCHAR},
      </if>
      <if test="tfhcns != null" >
        #{tfhcns,jdbcType=VARCHAR},
      </if>
      <if test="tfhcww != null" >
        #{tfhcww,jdbcType=VARCHAR},
      </if>
      <if test="tfhcws != null" >
        #{tfhcws,jdbcType=VARCHAR},
      </if>
      <if test="tfhzglw != null" >
        #{tfhzglw,jdbcType=VARCHAR},
      </if>
      <if test="tfhzdlw != null" >
        #{tfhzdlw,jdbcType=VARCHAR},
      </if>
      <if test="tfqyq != null" >
        #{tfqyq,jdbcType=VARCHAR},
      </if>
      <if test="tfqeyht != null" >
        #{tfqeyht,jdbcType=VARCHAR},
      </if>
      <if test="tfqlhq != null" >
        #{tfqlhq,jdbcType=VARCHAR},
      </if>
      <if test="tfhyq != null" >
        #{tfhyq,jdbcType=VARCHAR},
      </if>
      <if test="tfheyht != null" >
        #{tfheyht,jdbcType=VARCHAR},
      </if>
      <if test="tfhlhq != null" >
        #{tfhlhq,jdbcType=VARCHAR},
      </if>
      <if test="bz != null" >
        #{bz,jdbcType=VARCHAR},
      </if>
      <if test="orgId != null" >
        #{orgId,jdbcType=INTEGER},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.chinaitop.depot.intelligent.ventilation.model.TVentilationOperationExample" resultType="java.lang.Integer" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    select count(*) from t_ventilation_operation
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    update t_ventilation_operation
    <set >
      <if test="record.id != null" >
        id = #{record.id,jdbcType=VARCHAR},
      </if>
      <if test="record.cfbh != null" >
        cfbh = #{record.cfbh,jdbcType=VARCHAR},
      </if>
      <if test="record.cfmc != null" >
        cfmc = #{record.cfmc,jdbcType=VARCHAR},
      </if>
      <if test="record.cflx != null" >
        cflx = #{record.cflx,jdbcType=VARCHAR},
      </if>
      <if test="record.cncd != null" >
        cncd = #{record.cncd,jdbcType=VARCHAR},
      </if>
      <if test="record.cnkd != null" >
        cnkd = #{record.cnkd,jdbcType=VARCHAR},
      </if>
      <if test="record.zjnj != null" >
        zjnj = #{record.zjnj,jdbcType=VARCHAR},
      </if>
      <if test="record.sjclxgd != null" >
        sjclxgd = #{record.sjclxgd,jdbcType=VARCHAR},
      </if>
      <if test="record.pz != null" >
        pz = #{record.pz,jdbcType=INTEGER},
      </if>
      <if test="record.sl != null" >
        sl = #{record.sl,jdbcType=VARCHAR},
      </if>
      <if test="record.kxd != null" >
        kxd = #{record.kxd,jdbcType=VARCHAR},
      </if>
      <if test="record.cd != null" >
        cd = #{record.cd,jdbcType=VARCHAR},
      </if>
      <if test="record.kd != null" >
        kd = #{record.kd,jdbcType=VARCHAR},
      </if>
      <if test="record.zj != null" >
        zj = #{record.zj,jdbcType=VARCHAR},
      </if>
      <if test="record.ldgd != null" >
        ldgd = #{record.ldgd,jdbcType=VARCHAR},
      </if>
      <if test="record.dlxs != null" >
        dlxs = #{record.dlxs,jdbcType=VARCHAR},
      </if>
      <if test="record.tflx != null" >
        tflx = #{record.tflx,jdbcType=VARCHAR},
      </if>
      <if test="record.fwlx != null" >
        fwlx = #{record.fwlx,jdbcType=VARCHAR},
      </if>
      <if test="record.fwszfs != null" >
        fwszfs = #{record.fwszfs,jdbcType=VARCHAR},
      </if>
      <if test="record.zfdjmj != null" >
        zfdjmj = #{record.zfdjmj,jdbcType=VARCHAR},
      </if>
      <if test="record.fwkkl != null" >
        fwkkl = #{record.fwkkl,jdbcType=VARCHAR},
      </if>
      <if test="record.kqtjb != null" >
        kqtjb = #{record.kqtjb,jdbcType=VARCHAR},
      </if>
      <if test="record.tfkszgs != null" >
        tfkszgs = #{record.tfkszgs,jdbcType=VARCHAR},
      </if>
      <if test="record.tfkssj != null" >
        tfkssj = #{record.tfkssj,jdbcType=DATE},
      </if>
      <if test="record.tfjssj != null" >
        tfjssj = #{record.tfjssj,jdbcType=DATE},
      </if>
      <if test="record.tfmd != null" >
        tfmd = #{record.tfmd,jdbcType=VARCHAR},
      </if>
      <if test="record.tfzyfzr != null" >
        tfzyfzr = #{record.tfzyfzr,jdbcType=VARCHAR},
      </if>
      <if test="record.djrq != null" >
        djrq = #{record.djrq,jdbcType=DATE},
      </if>
      <if test="record.tfjxh != null" >
        tfjxh = #{record.tfjxh,jdbcType=VARCHAR},
      </if>
      <if test="record.tfjts != null" >
        tfjts = #{record.tfjts,jdbcType=VARCHAR},
      </if>
      <if test="record.dtfjedqy != null" >
        dtfjedqy = #{record.dtfjedqy,jdbcType=VARCHAR},
      </if>
      <if test="record.dtfjedfl != null" >
        dtfjedfl = #{record.dtfjedfl,jdbcType=VARCHAR},
      </if>
      <if test="record.dtfjedgl != null" >
        dtfjedgl = #{record.dtfjedgl,jdbcType=VARCHAR},
      </if>
      <if test="record.sffs != null" >
        sffs = #{record.sffs,jdbcType=VARCHAR},
      </if>
      <if test="record.dtfjscfl != null" >
        dtfjscfl = #{record.dtfjscfl,jdbcType=VARCHAR},
      </if>
      <if test="record.dtfjzgl != null" >
        dtfjzgl = #{record.dtfjzgl,jdbcType=VARCHAR},
      </if>
      <if test="record.zfl != null" >
        zfl = #{record.zfl,jdbcType=VARCHAR},
      </if>
      <if test="record.dwtfl != null" >
        dwtfl = #{record.dwtfl,jdbcType=VARCHAR},
      </if>
      <if test="record.scxtzl != null" >
        scxtzl = #{record.scxtzl,jdbcType=VARCHAR},
      </if>
      <if test="record.zhdl != null" >
        zhdl = #{record.zhdl,jdbcType=VARCHAR},
      </if>
      <if test="record.oneQw != null" >
        one_qw = #{record.oneQw,jdbcType=VARCHAR},
      </if>
      <if test="record.oneTfqpjlw != null" >
        one_tfqpjlw = #{record.oneTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="record.oneZysc != null" >
        one_zysc = #{record.oneZysc,jdbcType=VARCHAR},
      </if>
      <if test="record.onePjqs != null" >
        one_pjqs = #{record.onePjqs,jdbcType=VARCHAR},
      </if>
      <if test="record.twoQw != null" >
        two_qw = #{record.twoQw,jdbcType=VARCHAR},
      </if>
      <if test="record.twoTfqpjlw != null" >
        two_tfqpjlw = #{record.twoTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="record.twoZysc != null" >
        two_zysc = #{record.twoZysc,jdbcType=VARCHAR},
      </if>
      <if test="record.twoPjqs != null" >
        two_pjqs = #{record.twoPjqs,jdbcType=VARCHAR},
      </if>
      <if test="record.threeQw != null" >
        three_qw = #{record.threeQw,jdbcType=VARCHAR},
      </if>
      <if test="record.threeTfqpjlw != null" >
        three_tfqpjlw = #{record.threeTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="record.threeZysc != null" >
        three_zysc = #{record.threeZysc,jdbcType=VARCHAR},
      </if>
      <if test="record.threePjqs != null" >
        three_pjqs = #{record.threePjqs,jdbcType=VARCHAR},
      </if>
      <if test="record.fourQw != null" >
        four_qw = #{record.fourQw,jdbcType=VARCHAR},
      </if>
      <if test="record.fourTfqpjlw != null" >
        four_tfqpjlw = #{record.fourTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="record.fourPjqs != null" >
        four_pjqs = #{record.fourPjqs,jdbcType=VARCHAR},
      </if>
      <if test="record.fourZysc != null" >
        four_zysc = #{record.fourZysc,jdbcType=VARCHAR},
      </if>
      <if test="record.tfqpjlw != null" >
        tfqpjlw = #{record.tfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="record.tfhpjlw != null" >
        tfhpjlw = #{record.tfhpjlw,jdbcType=VARCHAR},
      </if>
      <if test="record.jwfd != null" >
        jwfd = #{record.jwfd,jdbcType=VARCHAR},
      </if>
      <if test="record.dljwnh != null" >
        dljwnh = #{record.dljwnh,jdbcType=VARCHAR},
      </if>
      <if test="record.sslssl != null" >
        sslssl = #{record.sslssl,jdbcType=VARCHAR},
      </if>
      <if test="record.tfqpjsf != null" >
        tfqpjsf = #{record.tfqpjsf,jdbcType=VARCHAR},
      </if>
      <if test="record.tfhpjsf != null" >
        tfhpjsf = #{record.tfhpjsf,jdbcType=VARCHAR},
      </if>
      <if test="record.jsfd != null" >
        jsfd = #{record.jsfd,jdbcType=VARCHAR},
      </if>
      <if test="record.dljsnh != null" >
        dljsnh = #{record.dljsnh,jdbcType=VARCHAR},
      </if>
      <if test="record.bsxgpjjg != null" >
        bsxgpjjg = #{record.bsxgpjjg,jdbcType=VARCHAR},
      </if>
      <if test="record.jyxzx != null" >
        jyxzx = #{record.jyxzx,jdbcType=VARCHAR},
      </if>
      <if test="record.jyxsc != null" >
        jyxsc = #{record.jyxsc,jdbcType=VARCHAR},
      </if>
      <if test="record.jyxzc != null" >
        jyxzc = #{record.jyxzc,jdbcType=VARCHAR},
      </if>
      <if test="record.jyxxc != null" >
        jyxxc = #{record.jyxxc,jdbcType=VARCHAR},
      </if>
      <if test="record.tfqcnw != null" >
        tfqcnw = #{record.tfqcnw,jdbcType=VARCHAR},
      </if>
      <if test="record.tfqcns != null" >
        tfqcns = #{record.tfqcns,jdbcType=VARCHAR},
      </if>
      <if test="record.tfqcww != null" >
        tfqcww = #{record.tfqcww,jdbcType=VARCHAR},
      </if>
      <if test="record.tfqcws != null" >
        tfqcws = #{record.tfqcws,jdbcType=VARCHAR},
      </if>
      <if test="record.tfqzglw != null" >
        tfqzglw = #{record.tfqzglw,jdbcType=VARCHAR},
      </if>
      <if test="record.tfqzdlw != null" >
        tfqzdlw = #{record.tfqzdlw,jdbcType=VARCHAR},
      </if>
      <if test="record.tfhcnw != null" >
        tfhcnw = #{record.tfhcnw,jdbcType=VARCHAR},
      </if>
      <if test="record.tfhcns != null" >
        tfhcns = #{record.tfhcns,jdbcType=VARCHAR},
      </if>
      <if test="record.tfhcww != null" >
        tfhcww = #{record.tfhcww,jdbcType=VARCHAR},
      </if>
      <if test="record.tfhcws != null" >
        tfhcws = #{record.tfhcws,jdbcType=VARCHAR},
      </if>
      <if test="record.tfhzglw != null" >
        tfhzglw = #{record.tfhzglw,jdbcType=VARCHAR},
      </if>
      <if test="record.tfhzdlw != null" >
        tfhzdlw = #{record.tfhzdlw,jdbcType=VARCHAR},
      </if>
      <if test="record.tfqyq != null" >
        tfqyq = #{record.tfqyq,jdbcType=VARCHAR},
      </if>
      <if test="record.tfqeyht != null" >
        tfqeyht = #{record.tfqeyht,jdbcType=VARCHAR},
      </if>
      <if test="record.tfqlhq != null" >
        tfqlhq = #{record.tfqlhq,jdbcType=VARCHAR},
      </if>
      <if test="record.tfhyq != null" >
        tfhyq = #{record.tfhyq,jdbcType=VARCHAR},
      </if>
      <if test="record.tfheyht != null" >
        tfheyht = #{record.tfheyht,jdbcType=VARCHAR},
      </if>
      <if test="record.tfhlhq != null" >
        tfhlhq = #{record.tfhlhq,jdbcType=VARCHAR},
      </if>
      <if test="record.bz != null" >
        bz = #{record.bz,jdbcType=VARCHAR},
      </if>
      <if test="record.orgId != null" >
        org_id = #{record.orgId,jdbcType=INTEGER},
      </if>
    </set>
    <if test="_parameter != null" >
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    update t_ventilation_operation
    set id = #{record.id,jdbcType=VARCHAR},
      cfbh = #{record.cfbh,jdbcType=VARCHAR},
      cfmc = #{record.cfmc,jdbcType=VARCHAR},
      cflx = #{record.cflx,jdbcType=VARCHAR},
      cncd = #{record.cncd,jdbcType=VARCHAR},
      cnkd = #{record.cnkd,jdbcType=VARCHAR},
      zjnj = #{record.zjnj,jdbcType=VARCHAR},
      sjclxgd = #{record.sjclxgd,jdbcType=VARCHAR},
      pz = #{record.pz,jdbcType=INTEGER},
      sl = #{record.sl,jdbcType=VARCHAR},
      kxd = #{record.kxd,jdbcType=VARCHAR},
      cd = #{record.cd,jdbcType=VARCHAR},
      kd = #{record.kd,jdbcType=VARCHAR},
      zj = #{record.zj,jdbcType=VARCHAR},
      ldgd = #{record.ldgd,jdbcType=VARCHAR},
      dlxs = #{record.dlxs,jdbcType=VARCHAR},
      tflx = #{record.tflx,jdbcType=VARCHAR},
      fwlx = #{record.fwlx,jdbcType=VARCHAR},
      fwszfs = #{record.fwszfs,jdbcType=VARCHAR},
      zfdjmj = #{record.zfdjmj,jdbcType=VARCHAR},
      fwkkl = #{record.fwkkl,jdbcType=VARCHAR},
      kqtjb = #{record.kqtjb,jdbcType=VARCHAR},
      tfkszgs = #{record.tfkszgs,jdbcType=VARCHAR},
      tfkssj = #{record.tfkssj,jdbcType=DATE},
      tfjssj = #{record.tfjssj,jdbcType=DATE},
      tfmd = #{record.tfmd,jdbcType=VARCHAR},
      tfzyfzr = #{record.tfzyfzr,jdbcType=VARCHAR},
      djrq = #{record.djrq,jdbcType=DATE},
      tfjxh = #{record.tfjxh,jdbcType=VARCHAR},
      tfjts = #{record.tfjts,jdbcType=VARCHAR},
      dtfjedqy = #{record.dtfjedqy,jdbcType=VARCHAR},
      dtfjedfl = #{record.dtfjedfl,jdbcType=VARCHAR},
      dtfjedgl = #{record.dtfjedgl,jdbcType=VARCHAR},
      sffs = #{record.sffs,jdbcType=VARCHAR},
      dtfjscfl = #{record.dtfjscfl,jdbcType=VARCHAR},
      dtfjzgl = #{record.dtfjzgl,jdbcType=VARCHAR},
      zfl = #{record.zfl,jdbcType=VARCHAR},
      dwtfl = #{record.dwtfl,jdbcType=VARCHAR},
      scxtzl = #{record.scxtzl,jdbcType=VARCHAR},
      zhdl = #{record.zhdl,jdbcType=VARCHAR},
      one_qw = #{record.oneQw,jdbcType=VARCHAR},
      one_tfqpjlw = #{record.oneTfqpjlw,jdbcType=VARCHAR},
      one_zysc = #{record.oneZysc,jdbcType=VARCHAR},
      one_pjqs = #{record.onePjqs,jdbcType=VARCHAR},
      two_qw = #{record.twoQw,jdbcType=VARCHAR},
      two_tfqpjlw = #{record.twoTfqpjlw,jdbcType=VARCHAR},
      two_zysc = #{record.twoZysc,jdbcType=VARCHAR},
      two_pjqs = #{record.twoPjqs,jdbcType=VARCHAR},
      three_qw = #{record.threeQw,jdbcType=VARCHAR},
      three_tfqpjlw = #{record.threeTfqpjlw,jdbcType=VARCHAR},
      three_zysc = #{record.threeZysc,jdbcType=VARCHAR},
      three_pjqs = #{record.threePjqs,jdbcType=VARCHAR},
      four_qw = #{record.fourQw,jdbcType=VARCHAR},
      four_tfqpjlw = #{record.fourTfqpjlw,jdbcType=VARCHAR},
      four_pjqs = #{record.fourPjqs,jdbcType=VARCHAR},
      four_zysc = #{record.fourZysc,jdbcType=VARCHAR},
      tfqpjlw = #{record.tfqpjlw,jdbcType=VARCHAR},
      tfhpjlw = #{record.tfhpjlw,jdbcType=VARCHAR},
      jwfd = #{record.jwfd,jdbcType=VARCHAR},
      dljwnh = #{record.dljwnh,jdbcType=VARCHAR},
      sslssl = #{record.sslssl,jdbcType=VARCHAR},
      tfqpjsf = #{record.tfqpjsf,jdbcType=VARCHAR},
      tfhpjsf = #{record.tfhpjsf,jdbcType=VARCHAR},
      jsfd = #{record.jsfd,jdbcType=VARCHAR},
      dljsnh = #{record.dljsnh,jdbcType=VARCHAR},
      bsxgpjjg = #{record.bsxgpjjg,jdbcType=VARCHAR},
      jyxzx = #{record.jyxzx,jdbcType=VARCHAR},
      jyxsc = #{record.jyxsc,jdbcType=VARCHAR},
      jyxzc = #{record.jyxzc,jdbcType=VARCHAR},
      jyxxc = #{record.jyxxc,jdbcType=VARCHAR},
      tfqcnw = #{record.tfqcnw,jdbcType=VARCHAR},
      tfqcns = #{record.tfqcns,jdbcType=VARCHAR},
      tfqcww = #{record.tfqcww,jdbcType=VARCHAR},
      tfqcws = #{record.tfqcws,jdbcType=VARCHAR},
      tfqzglw = #{record.tfqzglw,jdbcType=VARCHAR},
      tfqzdlw = #{record.tfqzdlw,jdbcType=VARCHAR},
      tfhcnw = #{record.tfhcnw,jdbcType=VARCHAR},
      tfhcns = #{record.tfhcns,jdbcType=VARCHAR},
      tfhcww = #{record.tfhcww,jdbcType=VARCHAR},
      tfhcws = #{record.tfhcws,jdbcType=VARCHAR},
      tfhzglw = #{record.tfhzglw,jdbcType=VARCHAR},
      tfhzdlw = #{record.tfhzdlw,jdbcType=VARCHAR},
      tfqyq = #{record.tfqyq,jdbcType=VARCHAR},
      tfqeyht = #{record.tfqeyht,jdbcType=VARCHAR},
      tfqlhq = #{record.tfqlhq,jdbcType=VARCHAR},
      tfhyq = #{record.tfhyq,jdbcType=VARCHAR},
      tfheyht = #{record.tfheyht,jdbcType=VARCHAR},
      tfhlhq = #{record.tfhlhq,jdbcType=VARCHAR},
      bz = #{record.bz,jdbcType=VARCHAR},
      org_id = #{record.orgId,jdbcType=INTEGER}
    <if test="_parameter != null" >
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.chinaitop.depot.intelligent.ventilation.model.TVentilationOperation" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    update t_ventilation_operation
    <set >
      <if test="cfbh != null" >
        cfbh = #{cfbh,jdbcType=VARCHAR},
      </if>
      <if test="cfmc != null" >
        cfmc = #{cfmc,jdbcType=VARCHAR},
      </if>
      <if test="cflx != null" >
        cflx = #{cflx,jdbcType=VARCHAR},
      </if>
      <if test="cncd != null" >
        cncd = #{cncd,jdbcType=VARCHAR},
      </if>
      <if test="cnkd != null" >
        cnkd = #{cnkd,jdbcType=VARCHAR},
      </if>
      <if test="zjnj != null" >
        zjnj = #{zjnj,jdbcType=VARCHAR},
      </if>
      <if test="sjclxgd != null" >
        sjclxgd = #{sjclxgd,jdbcType=VARCHAR},
      </if>
      <if test="pz != null" >
        pz = #{pz,jdbcType=INTEGER},
      </if>
      <if test="sl != null" >
        sl = #{sl,jdbcType=VARCHAR},
      </if>
      <if test="kxd != null" >
        kxd = #{kxd,jdbcType=VARCHAR},
      </if>
      <if test="cd != null" >
        cd = #{cd,jdbcType=VARCHAR},
      </if>
      <if test="kd != null" >
        kd = #{kd,jdbcType=VARCHAR},
      </if>
      <if test="zj != null" >
        zj = #{zj,jdbcType=VARCHAR},
      </if>
      <if test="ldgd != null" >
        ldgd = #{ldgd,jdbcType=VARCHAR},
      </if>
      <if test="dlxs != null" >
        dlxs = #{dlxs,jdbcType=VARCHAR},
      </if>
      <if test="tflx != null" >
        tflx = #{tflx,jdbcType=VARCHAR},
      </if>
      <if test="fwlx != null" >
        fwlx = #{fwlx,jdbcType=VARCHAR},
      </if>
      <if test="fwszfs != null" >
        fwszfs = #{fwszfs,jdbcType=VARCHAR},
      </if>
      <if test="zfdjmj != null" >
        zfdjmj = #{zfdjmj,jdbcType=VARCHAR},
      </if>
      <if test="fwkkl != null" >
        fwkkl = #{fwkkl,jdbcType=VARCHAR},
      </if>
      <if test="kqtjb != null" >
        kqtjb = #{kqtjb,jdbcType=VARCHAR},
      </if>
      <if test="tfkszgs != null" >
        tfkszgs = #{tfkszgs,jdbcType=VARCHAR},
      </if>
      <if test="tfkssj != null" >
        tfkssj = #{tfkssj,jdbcType=DATE},
      </if>
      <if test="tfjssj != null" >
        tfjssj = #{tfjssj,jdbcType=DATE},
      </if>
      <if test="tfmd != null" >
        tfmd = #{tfmd,jdbcType=VARCHAR},
      </if>
      <if test="tfzyfzr != null" >
        tfzyfzr = #{tfzyfzr,jdbcType=VARCHAR},
      </if>
      <if test="djrq != null" >
        djrq = #{djrq,jdbcType=DATE},
      </if>
      <if test="tfjxh != null" >
        tfjxh = #{tfjxh,jdbcType=VARCHAR},
      </if>
      <if test="tfjts != null" >
        tfjts = #{tfjts,jdbcType=VARCHAR},
      </if>
      <if test="dtfjedqy != null" >
        dtfjedqy = #{dtfjedqy,jdbcType=VARCHAR},
      </if>
      <if test="dtfjedfl != null" >
        dtfjedfl = #{dtfjedfl,jdbcType=VARCHAR},
      </if>
      <if test="dtfjedgl != null" >
        dtfjedgl = #{dtfjedgl,jdbcType=VARCHAR},
      </if>
      <if test="sffs != null" >
        sffs = #{sffs,jdbcType=VARCHAR},
      </if>
      <if test="dtfjscfl != null" >
        dtfjscfl = #{dtfjscfl,jdbcType=VARCHAR},
      </if>
      <if test="dtfjzgl != null" >
        dtfjzgl = #{dtfjzgl,jdbcType=VARCHAR},
      </if>
      <if test="zfl != null" >
        zfl = #{zfl,jdbcType=VARCHAR},
      </if>
      <if test="dwtfl != null" >
        dwtfl = #{dwtfl,jdbcType=VARCHAR},
      </if>
      <if test="scxtzl != null" >
        scxtzl = #{scxtzl,jdbcType=VARCHAR},
      </if>
      <if test="zhdl != null" >
        zhdl = #{zhdl,jdbcType=VARCHAR},
      </if>
      <if test="oneQw != null" >
        one_qw = #{oneQw,jdbcType=VARCHAR},
      </if>
      <if test="oneTfqpjlw != null" >
        one_tfqpjlw = #{oneTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="oneZysc != null" >
        one_zysc = #{oneZysc,jdbcType=VARCHAR},
      </if>
      <if test="onePjqs != null" >
        one_pjqs = #{onePjqs,jdbcType=VARCHAR},
      </if>
      <if test="twoQw != null" >
        two_qw = #{twoQw,jdbcType=VARCHAR},
      </if>
      <if test="twoTfqpjlw != null" >
        two_tfqpjlw = #{twoTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="twoZysc != null" >
        two_zysc = #{twoZysc,jdbcType=VARCHAR},
      </if>
      <if test="twoPjqs != null" >
        two_pjqs = #{twoPjqs,jdbcType=VARCHAR},
      </if>
      <if test="threeQw != null" >
        three_qw = #{threeQw,jdbcType=VARCHAR},
      </if>
      <if test="threeTfqpjlw != null" >
        three_tfqpjlw = #{threeTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="threeZysc != null" >
        three_zysc = #{threeZysc,jdbcType=VARCHAR},
      </if>
      <if test="threePjqs != null" >
        three_pjqs = #{threePjqs,jdbcType=VARCHAR},
      </if>
      <if test="fourQw != null" >
        four_qw = #{fourQw,jdbcType=VARCHAR},
      </if>
      <if test="fourTfqpjlw != null" >
        four_tfqpjlw = #{fourTfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="fourPjqs != null" >
        four_pjqs = #{fourPjqs,jdbcType=VARCHAR},
      </if>
      <if test="fourZysc != null" >
        four_zysc = #{fourZysc,jdbcType=VARCHAR},
      </if>
      <if test="tfqpjlw != null" >
        tfqpjlw = #{tfqpjlw,jdbcType=VARCHAR},
      </if>
      <if test="tfhpjlw != null" >
        tfhpjlw = #{tfhpjlw,jdbcType=VARCHAR},
      </if>
      <if test="jwfd != null" >
        jwfd = #{jwfd,jdbcType=VARCHAR},
      </if>
      <if test="dljwnh != null" >
        dljwnh = #{dljwnh,jdbcType=VARCHAR},
      </if>
      <if test="sslssl != null" >
        sslssl = #{sslssl,jdbcType=VARCHAR},
      </if>
      <if test="tfqpjsf != null" >
        tfqpjsf = #{tfqpjsf,jdbcType=VARCHAR},
      </if>
      <if test="tfhpjsf != null" >
        tfhpjsf = #{tfhpjsf,jdbcType=VARCHAR},
      </if>
      <if test="jsfd != null" >
        jsfd = #{jsfd,jdbcType=VARCHAR},
      </if>
      <if test="dljsnh != null" >
        dljsnh = #{dljsnh,jdbcType=VARCHAR},
      </if>
      <if test="bsxgpjjg != null" >
        bsxgpjjg = #{bsxgpjjg,jdbcType=VARCHAR},
      </if>
      <if test="jyxzx != null" >
        jyxzx = #{jyxzx,jdbcType=VARCHAR},
      </if>
      <if test="jyxsc != null" >
        jyxsc = #{jyxsc,jdbcType=VARCHAR},
      </if>
      <if test="jyxzc != null" >
        jyxzc = #{jyxzc,jdbcType=VARCHAR},
      </if>
      <if test="jyxxc != null" >
        jyxxc = #{jyxxc,jdbcType=VARCHAR},
      </if>
      <if test="tfqcnw != null" >
        tfqcnw = #{tfqcnw,jdbcType=VARCHAR},
      </if>
      <if test="tfqcns != null" >
        tfqcns = #{tfqcns,jdbcType=VARCHAR},
      </if>
      <if test="tfqcww != null" >
        tfqcww = #{tfqcww,jdbcType=VARCHAR},
      </if>
      <if test="tfqcws != null" >
        tfqcws = #{tfqcws,jdbcType=VARCHAR},
      </if>
      <if test="tfqzglw != null" >
        tfqzglw = #{tfqzglw,jdbcType=VARCHAR},
      </if>
      <if test="tfqzdlw != null" >
        tfqzdlw = #{tfqzdlw,jdbcType=VARCHAR},
      </if>
      <if test="tfhcnw != null" >
        tfhcnw = #{tfhcnw,jdbcType=VARCHAR},
      </if>
      <if test="tfhcns != null" >
        tfhcns = #{tfhcns,jdbcType=VARCHAR},
      </if>
      <if test="tfhcww != null" >
        tfhcww = #{tfhcww,jdbcType=VARCHAR},
      </if>
      <if test="tfhcws != null" >
        tfhcws = #{tfhcws,jdbcType=VARCHAR},
      </if>
      <if test="tfhzglw != null" >
        tfhzglw = #{tfhzglw,jdbcType=VARCHAR},
      </if>
      <if test="tfhzdlw != null" >
        tfhzdlw = #{tfhzdlw,jdbcType=VARCHAR},
      </if>
      <if test="tfqyq != null" >
        tfqyq = #{tfqyq,jdbcType=VARCHAR},
      </if>
      <if test="tfqeyht != null" >
        tfqeyht = #{tfqeyht,jdbcType=VARCHAR},
      </if>
      <if test="tfqlhq != null" >
        tfqlhq = #{tfqlhq,jdbcType=VARCHAR},
      </if>
      <if test="tfhyq != null" >
        tfhyq = #{tfhyq,jdbcType=VARCHAR},
      </if>
      <if test="tfheyht != null" >
        tfheyht = #{tfheyht,jdbcType=VARCHAR},
      </if>
      <if test="tfhlhq != null" >
        tfhlhq = #{tfhlhq,jdbcType=VARCHAR},
      </if>
      <if test="bz != null" >
        bz = #{bz,jdbcType=VARCHAR},
      </if>
      <if test="orgId != null" >
        org_id = #{orgId,jdbcType=INTEGER},
      </if>
    </set>
    where id = #{id,jdbcType=VARCHAR}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.chinaitop.depot.intelligent.ventilation.model.TVentilationOperation" >
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
      This element was generated on Sun Jun 28 17:44:27 CST 2020.
    -->
    update t_ventilation_operation
    set cfbh = #{cfbh,jdbcType=VARCHAR},
      cfmc = #{cfmc,jdbcType=VARCHAR},
      cflx = #{cflx,jdbcType=VARCHAR},
      cncd = #{cncd,jdbcType=VARCHAR},
      cnkd = #{cnkd,jdbcType=VARCHAR},
      zjnj = #{zjnj,jdbcType=VARCHAR},
      sjclxgd = #{sjclxgd,jdbcType=VARCHAR},
      pz = #{pz,jdbcType=INTEGER},
      sl = #{sl,jdbcType=VARCHAR},
      kxd = #{kxd,jdbcType=VARCHAR},
      cd = #{cd,jdbcType=VARCHAR},
      kd = #{kd,jdbcType=VARCHAR},
      zj = #{zj,jdbcType=VARCHAR},
      ldgd = #{ldgd,jdbcType=VARCHAR},
      dlxs = #{dlxs,jdbcType=VARCHAR},
      tflx = #{tflx,jdbcType=VARCHAR},
      fwlx = #{fwlx,jdbcType=VARCHAR},
      fwszfs = #{fwszfs,jdbcType=VARCHAR},
      zfdjmj = #{zfdjmj,jdbcType=VARCHAR},
      fwkkl = #{fwkkl,jdbcType=VARCHAR},
      kqtjb = #{kqtjb,jdbcType=VARCHAR},
      tfkszgs = #{tfkszgs,jdbcType=VARCHAR},
      tfkssj = #{tfkssj,jdbcType=DATE},
      tfjssj = #{tfjssj,jdbcType=DATE},
      tfmd = #{tfmd,jdbcType=VARCHAR},
      tfzyfzr = #{tfzyfzr,jdbcType=VARCHAR},
      djrq = #{djrq,jdbcType=DATE},
      tfjxh = #{tfjxh,jdbcType=VARCHAR},
      tfjts = #{tfjts,jdbcType=VARCHAR},
      dtfjedqy = #{dtfjedqy,jdbcType=VARCHAR},
      dtfjedfl = #{dtfjedfl,jdbcType=VARCHAR},
      dtfjedgl = #{dtfjedgl,jdbcType=VARCHAR},
      sffs = #{sffs,jdbcType=VARCHAR},
      dtfjscfl = #{dtfjscfl,jdbcType=VARCHAR},
      dtfjzgl = #{dtfjzgl,jdbcType=VARCHAR},
      zfl = #{zfl,jdbcType=VARCHAR},
      dwtfl = #{dwtfl,jdbcType=VARCHAR},
      scxtzl = #{scxtzl,jdbcType=VARCHAR},
      zhdl = #{zhdl,jdbcType=VARCHAR},
      one_qw = #{oneQw,jdbcType=VARCHAR},
      one_tfqpjlw = #{oneTfqpjlw,jdbcType=VARCHAR},
      one_zysc = #{oneZysc,jdbcType=VARCHAR},
      one_pjqs = #{onePjqs,jdbcType=VARCHAR},
      two_qw = #{twoQw,jdbcType=VARCHAR},
      two_tfqpjlw = #{twoTfqpjlw,jdbcType=VARCHAR},
      two_zysc = #{twoZysc,jdbcType=VARCHAR},
      two_pjqs = #{twoPjqs,jdbcType=VARCHAR},
      three_qw = #{threeQw,jdbcType=VARCHAR},
      three_tfqpjlw = #{threeTfqpjlw,jdbcType=VARCHAR},
      three_zysc = #{threeZysc,jdbcType=VARCHAR},
      three_pjqs = #{threePjqs,jdbcType=VARCHAR},
      four_qw = #{fourQw,jdbcType=VARCHAR},
      four_tfqpjlw = #{fourTfqpjlw,jdbcType=VARCHAR},
      four_pjqs = #{fourPjqs,jdbcType=VARCHAR},
      four_zysc = #{fourZysc,jdbcType=VARCHAR},
      tfqpjlw = #{tfqpjlw,jdbcType=VARCHAR},
      tfhpjlw = #{tfhpjlw,jdbcType=VARCHAR},
      jwfd = #{jwfd,jdbcType=VARCHAR},
      dljwnh = #{dljwnh,jdbcType=VARCHAR},
      sslssl = #{sslssl,jdbcType=VARCHAR},
      tfqpjsf = #{tfqpjsf,jdbcType=VARCHAR},
      tfhpjsf = #{tfhpjsf,jdbcType=VARCHAR},
      jsfd = #{jsfd,jdbcType=VARCHAR},
      dljsnh = #{dljsnh,jdbcType=VARCHAR},
      bsxgpjjg = #{bsxgpjjg,jdbcType=VARCHAR},
      jyxzx = #{jyxzx,jdbcType=VARCHAR},
      jyxsc = #{jyxsc,jdbcType=VARCHAR},
      jyxzc = #{jyxzc,jdbcType=VARCHAR},
      jyxxc = #{jyxxc,jdbcType=VARCHAR},
      tfqcnw = #{tfqcnw,jdbcType=VARCHAR},
      tfqcns = #{tfqcns,jdbcType=VARCHAR},
      tfqcww = #{tfqcww,jdbcType=VARCHAR},
      tfqcws = #{tfqcws,jdbcType=VARCHAR},
      tfqzglw = #{tfqzglw,jdbcType=VARCHAR},
      tfqzdlw = #{tfqzdlw,jdbcType=VARCHAR},
      tfhcnw = #{tfhcnw,jdbcType=VARCHAR},
      tfhcns = #{tfhcns,jdbcType=VARCHAR},
      tfhcww = #{tfhcww,jdbcType=VARCHAR},
      tfhcws = #{tfhcws,jdbcType=VARCHAR},
      tfhzglw = #{tfhzglw,jdbcType=VARCHAR},
      tfhzdlw = #{tfhzdlw,jdbcType=VARCHAR},
      tfqyq = #{tfqyq,jdbcType=VARCHAR},
      tfqeyht = #{tfqeyht,jdbcType=VARCHAR},
      tfqlhq = #{tfqlhq,jdbcType=VARCHAR},
      tfhyq = #{tfhyq,jdbcType=VARCHAR},
      tfheyht = #{tfheyht,jdbcType=VARCHAR},
      tfhlhq = #{tfhlhq,jdbcType=VARCHAR},
      bz = #{bz,jdbcType=VARCHAR},
      org_id = #{orgId,jdbcType=INTEGER}
    where id = #{id,jdbcType=VARCHAR}
  </update>
</mapper>